package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 线路信息表
 * */
@Table(name="PQ_LINE")
public class Line {

	@Id
	@Column(name="LINE_INDEX")
	private Long lineIndex;

	@Column(name="SUB_INDEX")
	private Long subIndex;

	@Column(name="GD_INDEX")
	private Long gdIndex;

	@Column(name="SUBV_INDEX")
	private Long subvIndex;

	@Column(name = "DEV_INDEX")
	private Long devIndex;

	@Column(name = "NAME")
	private String name;

	@Column(name="PT1")
	private Float pt1;

	@Column(name="PT2")
	private Float pt2;

	@Column(name="CT1")
	private Float ct1;

	@Column(name="ct2")
	private Float ct2;

	@Transient
	private String voltage;



	public String getVoltage() {
		return voltage;
	}

	public void setVoltage(String voltage) {
		this.voltage = voltage;
	}

	//设备容量
	@Column(name="DEVCMP")
	private Float devcMp;

	//短路容量
	@Column(name="DLCMP")
	private Float dlcMp;

	//基准容量
	@Column(name="JZCMP")
	private Float jzcMp;

	//协议容量
	@Column(name="XYCMP")
	private Float xycMp;

	@Column(name="SUBV_NO")
	private Integer subVNo;


	@Column(name="SCALE")
	private String scale;

	@Column(name="SUBV_NAME")
	private String subvName;

	//监测点状态(0：投运；1：退运)
	@Column(name="STATUS")
	private Integer status;

	public Long getLineIndex() {
		return lineIndex;
	}

	public void setLineIndex(Long lineIndex) {
		this.lineIndex = lineIndex;
	}

	public Long getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Long subIndex) {
		this.subIndex = subIndex;
	}

	public Long getGdIndex() {
		return gdIndex;
	}

	public void setGdIndex(Long gdIndex) {
		this.gdIndex = gdIndex;
	}

	public Long getSubvIndex() {
		return subvIndex;
	}

	public void setSubvIndex(Long subvIndex) {
		this.subvIndex = subvIndex;
	}

	public Long getDevIndex() {
		return devIndex;
	}

	public void setDevIndex(Long devIndex) {
		this.devIndex = devIndex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Float getPt1() {
		return pt1;
	}

	public void setPt1(Float pt1) {
		this.pt1 = pt1;
	}

	public Float getPt2() {
		return pt2;
	}

	public void setPt2(Float pt2) {
		this.pt2 = pt2;
	}

	public Float getCt1() {
		return ct1;
	}

	public void setCt1(Float ct1) {
		this.ct1 = ct1;
	}

	public Float getCt2() {
		return ct2;
	}

	public void setCt2(Float ct2) {
		this.ct2 = ct2;
	}

	public Float getDevcMp() {
		return devcMp;
	}

	public void setDevcMp(Float devcMp) {
		this.devcMp = devcMp;
	}

	public Float getDlcMp() {
		return dlcMp;
	}

	public void setDlcMp(Float dlcMp) {
		this.dlcMp = dlcMp;
	}

	public Float getJzcMp() {
		return jzcMp;
	}

	public void setJzcMp(Float jzcMp) {
		this.jzcMp = jzcMp;
	}

	public Float getXycMp() {
		return xycMp;
	}

	public void setXycMp(Float xycMp) {
		this.xycMp = xycMp;
	}

	public Integer getSubVNo() {
		return subVNo;
	}

	public void setSubVNo(Integer subVNo) {
		this.subVNo = subVNo;
	}

	public String getScale() {
		return scale;
	}

	public void setScale(String scale) {
		this.scale = scale;
	}

	public String getSubvName() {
		return subvName;
	}

	public void setSubvName(String subvName) {
		this.subvName = subvName;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@Override
	public String toString() {
		return "Line{" +
				"lineIndex=" + lineIndex +
				", subIndex=" + subIndex +
				", gdIndex=" + gdIndex +
				", subvIndex=" + subvIndex +
				", devIndex=" + devIndex +
				", name='" + name + '\'' +
				", pt1=" + pt1 +
				", pt2=" + pt2 +
				", ct1=" + ct1 +
				", ct2=" + ct2 +
				", voltage='" + voltage + '\'' +
				", devcMp=" + devcMp +
				", dlcMp=" + dlcMp +
				", jzcMp=" + jzcMp +
				", xycMp=" + xycMp +
				", subVNo=" + subVNo +
				", scale='" + scale + '\'' +
				", subvName='" + subvName + '\'' +
				", status=" + status +
				'}';
	}
}
